Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
Ipopt::ReducedHessianCalculator Class Reference

`#include <SensReducedHessianCalculator.hpp>`

Inheritance diagram for Ipopt::ReducedHessianCalculator:
[legend]

## Public Member Functions
| ReducedHessianCalculator (SmartPtr< SchurData > hess_data, SmartPtr< PCalculator > pcalc)
| This is the interface for the actual controller. More...
virtual | ~ReducedHessianCalculator ()
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| Implementation of the initialization method that has to be overloaded by for each derived class. More...
virtual bool | ComputeReducedHessian ()
Public Member Functions inherited from Ipopt::AlgorithmStrategyObject
bool | Initialize (const Journalist &jnlst, IpoptNLP &ip_nlp, IpoptData &ip_data, IpoptCalculatedQuantities &ip_cq, const OptionsList &options, const std::string &prefix)
| This method is called every time the algorithm starts again - it is used to reset any internal state. More...
bool | ReducedInitialize (const Journalist &jnlst, const OptionsList &options, const std::string &prefix)
| Reduced version of the Initialize method, which does not require special Ipopt information. More...
| AlgorithmStrategyObject ()
| Default Constructor. More...
virtual | ~AlgorithmStrategyObject ()
| Default Destructor. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Private Attributes
SmartPtr< SchurData > | hess_data_
| Pointer to Schurdata object holding the indices for selecting the free variables. More...
SmartPtr< PCalculator > | pcalc_
| Pointer to the P Calculator object that returns the reduced hessian matrix. More...
bool | compute_eigenvalues_
| True, if option rh_eigendecomp was set to yes. More...

## Additional Inherited Members
Protected Member Functions inherited from Ipopt::AlgorithmStrategyObject
const Journalist & | Jnlst () const
IpoptNLP & | IpNLP () const
IpoptData & | IpData () const
IpoptCalculatedQuantities & | IpCq () const
bool | HaveIpData () const

## Detailed Description

Definition at line 17 of file SensReducedHessianCalculator.hpp.

## Constructor & Destructor Documentation

Ipopt::ReducedHessianCalculator::ReducedHessianCalculator | ( | SmartPtr< SchurData > | hess_data,
|  | SmartPtr< PCalculator > | pcalc
| ) |  |

This is the interface for the actual controller.

It handles Data input to the controller (measurement) and returns controls

virtual Ipopt::ReducedHessianCalculator::~ReducedHessianCalculator | ( |  | ) |
| virtual

## Member Function Documentation

virtual bool Ipopt::ReducedHessianCalculator::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix
| ) |  |
| virtual

Implementation of the initialization method that has to be overloaded by for each derived class.

Implements Ipopt::AlgorithmStrategyObject.

virtual bool Ipopt::ReducedHessianCalculator::ComputeReducedHessian | ( |  | ) |
| virtual

## Member Data Documentation

SmartPtr<SchurData> Ipopt::ReducedHessianCalculator::hess_data_
| private

Pointer to Schurdata object holding the indices for selecting the free variables.

Definition at line 36 of file SensReducedHessianCalculator.hpp.

SmartPtr<PCalculator> Ipopt::ReducedHessianCalculator::pcalc_
| private

Pointer to the P Calculator object that returns the reduced hessian matrix.

Definition at line 39 of file SensReducedHessianCalculator.hpp.

bool Ipopt::ReducedHessianCalculator::compute_eigenvalues_
| private

True, if option rh_eigendecomp was set to yes.

Definition at line 42 of file SensReducedHessianCalculator.hpp.

The documentation for this class was generated from the following file:

- contrib/sIPOPT/src/SensReducedHessianCalculator.hpp